//
//  SemiModalView.h
//  SemiModalSample
//
//  Created by 中澤 剛 on 12/11/28.
//  Copyright (c) 2012年 Go Nakazawa. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum usage{
    SemiModalViewUsageHorizontalOnBottom,
    SemiModalViewUsageHorizontalOnTop,
    SemiModalViewUsageVerticalOnLeft,
    SemiModalViewUsageVerticalOnRight
}usage;

@interface SemiModalView : UIView

@property (nonatomic, retain) UIScrollView *scrollView;
@property (nonatomic) int usage;
@property (nonatomic) BOOL isHiding;
@property (nonatomic) SEL selector;
@property (nonatomic) CGPoint visibleCenter;
@property (nonatomic) CGPoint hiddenCenter;

- (id)initWithFrame:(CGRect)frame usage:(int)usage items:(NSArray *)items selector:(SEL)selector;
- (void)changeVisibility;

@end
